<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursVorschlag\HandleKursortDataTable;

class HandleKursortDataTableController extends \Kufer\Web\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getUseCase(): \Kufer\Web\KuferTools\Basis\UseCase\UseCase
  {
    return new HandleKursortDataTableUseCase(
      $this->getRequestObj()
    );
  }

  protected function getRequestObj()
  {
    return new HandleKursortDataTableRequest();
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new HandleKursortDataTablePresenter($pUseCaseResponse);
  }
}